<HTML>
<HEAD>
  <META NAME="GENERATOR" CONTENT="Adobe PageMill 3.0 Win">
  <TITLE>Ambient Compiler</TITLE>
</HEAD>
<BODY BGCOLOR="#ffffff">

<H2>CS237c: Ambient Compiler</H2>

<OL>
  <LI><A HREF="cvs.html">Checking out the compiler, and using CVS</A>.
  <LI><A HREF="language.html">Ambient programming language</A>.
  <LI>Implementation phases of the compiler:
  <OL>
    <LI><A HREF="overview.html">General overview</A>.
    <LI><A HREF="ast.html">Parsing</A> (directory <TT>ambient/parse</TT>).
    <LI><A HREF="type.html">Type inference</A> (directory <TT>ambient/type</TT>).
    <LI><A HREF="fir.html">Functional intermediate code</A> (directory
    <TT>ambient/fir</TT>).
    <LI><A HREF="runtime.html">Runtime</A> (directory <TT>ambient/runtime</TT>).
  </OL>
</OL>

</BODY>
</HTML>
